%define name  kshowmail
%define version   2.2.3
%define release   0.beta1.1mdk

Summary:     	Show and delete mail on pop3 servers
Name:        	%{name}
Version:     	%{version}
Release:     	%{release}
License:   	GPL
Url:         	http://user.sireconnect.de/eggert.ehmke
Group:       	Networking/Mail
Source:      	%{name}-%{version}-beta.tar.bz2
BuildRoot:   	%{_tmppath}/%{name}-buildroot
BuildRequires:  gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel XFree86-static-libs
BuildRequires:  automake arts autoconf diffutils kdelibs file m4 texinfo gettext libjpeg62-devel
BuildRequires:  kdelibs-devel gcc-c++ libbinutils2 libbzip2_1 db1 libqt2-devel rpm-build kdenetwork-devel

%description
KShowmail is a KDE utility to show headers or the complete mails on pop3 
servers without transfering them to the local mail client. Unpleasant mails can
be deleted on the server.  The information can be refreshed via timers.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n%{name}-%{version}-beta

%build
# laurent kshowmail 2.2.0 CFLAGS doesn't work
#CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
	            --disable-rpath \
		    --with-qt-dir=/usr/lib/qt2 \
		    --disable-rpath \
		    --disable-debug \
		    --enable-final
													     
%install
rm -rf $RPM_BUILD_ROOT
 
make install prefix=$RPM_BUILD_ROOT/%_prefix 

install -d %buildroot/%_menudir/

kdedesktop2mdkmenu.pl kshowmail Networking/Mail %buildroot/%_datadir/applnk/Internet/kshowmail.desktop %buildroot/%_menudir/kshowmail

#(cd $RPM_BUILD_ROOT
#mkdir -p ./usr/lib/menu
#cat > ./usr/lib/menu/%{name} <<EOF
#?package(%{name}):\
#command="/usr/bin/kshowmail"\
#icon="mail_section.xpm"\
#title="Kshowmail"\
#longtitle="Show mails on pop3 server"\
#needs="x11"\
#section="Networking/Mail"
#EOF
#)
 

%find_lang %name
 
%post
%{update_menus}
 
%postun
%{clean_menus}    

%clean
rm -rf $RPM_BUILD_ROOT/


%files -f %name.lang 
%defattr (-,root,root)
%_bindir/*
%_datadir/applnk/Internet/*.desktop

%dir %_datadir/apps/kshowmail/
%dir %_datadir/apps/kshowmail/pics/
%_datadir/apps/kshowmail/*.rc
%_datadir/apps/kshowmail/pics/*.png

%dir %_datadir/doc/HTML/en/kshowmail/
%doc %_datadir/doc/HTML/en/kshowmail/*.bz2
%doc %_datadir/doc/HTML/en/kshowmail/*.docbook

%dir %_datadir/doc/HTML/de/kshowmail/
%doc %_datadir/doc/HTML/de/kshowmail/*.bz2
%doc %_datadir/doc/HTML/de/kshowmail/*.docbook

%dir %_datadir/doc/HTML/es/kshowmail/
%doc %_datadir/doc/HTML/es/kshowmail/*.bz2
%doc %_datadir/doc/HTML/es/kshowmail/*.docbook

%dir %_datadir/doc/HTML/fr/kshowmail/
%doc %_datadir/doc/HTML/fr/kshowmail/*.bz2
%doc %_datadir/doc/HTML/fr/kshowmail/*.docbook

%dir %_datadir/doc/HTML/sv/kshowmail/
%doc %_datadir/doc/HTML/sv/kshowmail/*.bz2
%doc %_datadir/doc/HTML/sv/kshowmail/*.docbook



%_menudir/*

%changelog
* Thu Feb 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.3-0.beta1.1mdk
- 2.2.3-beta

* Sun Feb 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-1mdk
- update code (2.2.2)

* Sun Feb 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-0.beta1.1mdk
- Update code

* Sun Jan 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-1mdk
- Update code

* Wed Jan 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.0-1mdk
- Update code 

* Sat Oct 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0-5mdk
- Rebuild against libpng3

* Wed Sep 12 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0-4mdk
- Fix icon

* Thu Sep 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0-3mdk
- Rebuild

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.0-2mdk
- Move KDE menu entry in %%_datadir/applnk/
- Fix and use optimizations
- Fix BuildRequires fon non %%ix86 architectures
- Rebuild against latest GCC

* Wed Mar 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0-1mdk
- Update code
- Add build requires

* Wed Oct 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.3-1mdk
- build with kde-compat
- menu
- updated to 0.5.3

* Wed Jul 05 2000 John Johnson <jjohnson@linux-mandrake.com> 0.5-1mdk
- Made mandrake rpm
